<template>
  <div class="prof-frends">
    <simplebar data-simplebar-autohide="false" class="scrollComp">
      <ul class="list-frends">
        <li class="li-frend" v-for="(item, i) in filterFrens" :key="i">
          <img src="@/assets/mobMenu/user.png" class="frendAvatar" />
          <span> {{ item }} </span>
        </li>
      </ul>
    </simplebar>
  </div>
</template>
<script>
import simplebar from "simplebar-vue";
import "simplebar/dist/simplebar.min.css";
import translit from "translit-en";
export default {
  components: {
    simplebar,
  },
  props: {
    searchFrend: String,
  },
  data() {
    return {
      frendsArr: [
        "frend1",
        "frend4",
        "burbek",
        "bastinovich",
        "frend5",
        "frend6",
        "billi",
        "ablfaz",
        "frend2",
        "dingo",
        "frend4",
        "frend6",
        "test",
        "frend1",
        "name",
        "tuzik",
        "frend2",
        "gagik",
        "gago",
        "како",
        "бурбек",
        "Արև",
        "Բաբկեն",
        "աբո",
        "Ashot",
        "Ani",
        "Анагит",
      ],
    };
  },
  computed: {
    filterFrens() {
      return this.frendsArr.filter((item) =>
        translit(item).includes(translit(this.searchFrend))
      );
    },
  },
};
</script>
<style lang="scss">
@import "profFrends.scss";
</style>